<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>HTML Purifier 3.1.1 released - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
  <meta name="Date" content="Thu, 19 June 2008 17:57:00 EST" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">HTML Purifier 3.1.1 released</h1>

<div id="content">
  <p>
    HTML Purifier 3.1.1 is a security and bugfix release. This release addresses
    two security vulnerabilities, both related to <abbr>CSS</abbr>, and one of which only
    applies to users using Shift_JIS as their output encoding. There is also
    a security improvement regarding the imagecrash attack. There is a backwards
    incompatible change with %URI.Munge, in which resources are no longer munged
    by default; please enable using %URI.MungeResources. Besides this, there
    are numerous improvements to <abbr>URI</abbr> munging, esp. with the addition of
    %URI.MungeSecretKey, as well as an experimental implementation of 
    %HTML.SafeObject and %HTML.SafeEmbed. There are also some memory optimizations.
  </p>
  <p>
    As a security release, please update as quickly as possible. Care has been
    taken to prevent backwards-compatibiilty breakage this time (something that
    plagued users who tried to upgrade to 3.1.0), there is only one slight break
    related to a bugfix that can be easily undone with %URI.MungeResources.
  </p>
  <p>
    See <a href="http://htmlpurifier.org/svnroot/htmlpurifier/tags/3.1.1/NEWS">NEWS</a>
    for a complete changelog. There were numerous added configuration directives
    not mentioned above.
  </p>
  <p>
    Along with this release, we would like to announce full disclosure on
    the security vulnerability patched in 3.1.0. Please see 
    <a href="security/2008/http-protocol-removal.html" xc:absolute="href"><abbr>HTTP</abbr> Protocol Removal</a>
    for more information about the vulnerability affecting versions prior
    to 3.1.0 and 2.1.4.
  </p>
  <p>
    Finally, the security fixes and bug fixes were backported to our PHP4
    branch with the release of HTML Purifier 2.1.5. See
    <a href="http://htmlpurifier.org/svnroot/htmlpurifier/tags/2.1.5/NEWS">NEWS (PHP4)</a>
    for a complete changelog.
  </p>
</div>
</div>
</body>
</html>